package cn.iocoder.yudao.module.bpm.service.business;

import cn.iocoder.yudao.module.bpm.controller.admin.business.vo.*;
import cn.iocoder.yudao.module.system.api.bpm.vo.CheckInCreateReqVO;

/**
 * @Author: jinyd
 * @CreateTime: 2024/8/6  10:55
 * @Description: 老人申请入院 Service 接口
 * @Version: 4.0
 */
public interface BpmElderlApplyService {

    /**
     * 获得老人申请入院
     *
     * @param userId 用户编号
     * @param createReqVO 创建请求参数
     * @return 老人申请入院
     */
    Long createApplyAccommodation(Long userId, String nickname, BpmApplyAccommodationCreateReqVO createReqVO);


    Long createApplyRetreat(Long userId, BpmApplyRetreatCreateReqVO createReqVO);

    Long bedChangeCreate(Long loginUserId, BedChangeRecordCreateReqVO createReqVO);

    Long nurseChangeCreate(Long loginUserId, NurseChangeRecordCreateReqVO createReqVO);

    Long cateringChangeCreate(Long loginUserId, CateringChangeRecordCreateReqVO createReqVO);

    Long priceChangeCreate(Long loginUserId, PriceChangeRecordCreateReqVO createReqVO);

    Long transferChangeCreate(Long loginUserId, TransferChangeRecordCreateReqVO createReqVO);

    Long checkInCreate(Long loginUserId, CheckInCreateReqVO createReqVO);

    Long checkInWaitCreate(Long loginUserId, String nickname, BpmCheckInWaitCreateReqVO createReqVO);

}
